Bug 62062 - Update ports: fix MASTER_SITES of audio/streamtuner*
Summary: Update ports: fix MASTER_SITES of audio/streamtuner*
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-01-29 12:00 UTC by Jean-Yves Lefort
Modified: 2004-01-29 18:55 UTC (History)
0 users

See Also:


Attachments
file.diff (2.95 KB, patch)
2004-01-29 12:00 UTC, Jean-Yves Lefort
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Yves Lefort 2004-01-29 12:00:44 UTC

    
Comment 1 osa 2004-01-29 12:06:17 UTC
On Thu, Jan 29, 2004 at 12:56:09PM +0100, Jean-Yves Lefort wrote:
> diff -ruN /usr/ports/audio/streamtuner/Makefile streamtuner/Makefile
> --- /usr/ports/audio/streamtuner/Makefile	Tue Dec 30 07:22:51 2003
> +++ streamtuner/Makefile	Thu Jan 29 12:49:58 2004
> @@ -2,16 +2,13 @@
>  # Date created:			02 Apr 2002
>  # Whom:				Jean-Yves Lefort <jylefort@brutele.be>
>  #
> -# $FreeBSD: ports/audio/streamtuner/Makefile,v 1.9 2003/12/29 18:23:45 pav Exp $
> +# $FreeBSD$

Please, do not touch this line.

> -MASTER_SITES=		${MASTER_SITE_SAVANNAH} \
> -			${MASTER_SITE_LOCAL}
> -MASTER_SITE_SUBDIR=	${PORTNAME}/${PORTNAME}.pkg/${PORTVERSION} \
> -			pav
> +MASTER_SITES=		http://streamtuner.sourceforge.net/streamtuner/

Not right.
Please use ${MASTER_SITE_SOURCEFORGE} variable with
${MASTER_SITE_SUBDIR}.  For more information look at (for example)
ports/audio/aumix/Makefile.

-- 

Regards,                 /"\  ascii ribbon campaign
Sergey "ozz" Osokin,     \ /    against html mail
http://ozz.pp.ru/         X         and news
                         / \
Comment 2 Jean-Yves Lefort 2004-01-29 12:57:05 UTC
On Thu, 29 Jan 2004 15:06:17 +0300
"Sergey A. Osokin" <osa@freebsd.org.ru> wrote:

> On Thu, Jan 29, 2004 at 12:56:09PM +0100, Jean-Yves Lefort wrote:
> > diff -ruN /usr/ports/audio/streamtuner/Makefile streamtuner/Makefile
> > --- /usr/ports/audio/streamtuner/Makefile	Tue Dec 30 07:22:51 2003
> > +++ streamtuner/Makefile	Thu Jan 29 12:49:58 2004
> > @@ -2,16 +2,13 @@
> >  # Date created:			02 Apr 2002
> >  # Whom:				Jean-Yves Lefort <jylefort@brutele.be>
> >  #
> > -# $FreeBSD: ports/audio/streamtuner/Makefile,v 1.9 2003/12/29 18:23:45 pav Exp $
> > +# $FreeBSD$
> 
> Please, do not touch this line.

I always do that, to indicate which version I'm patching. There's
nothing wrong with it.

> > -MASTER_SITES=		${MASTER_SITE_SAVANNAH} \
> > -			${MASTER_SITE_LOCAL}
> > -MASTER_SITE_SUBDIR=	${PORTNAME}/${PORTNAME}.pkg/${PORTVERSION} \
> > -			pav
> > +MASTER_SITES=		http://streamtuner.sourceforge.net/streamtuner/
> 
> Not right.
> Please use ${MASTER_SITE_SOURCEFORGE} variable with
> ${MASTER_SITE_SUBDIR}.  For more information look at (for example)
> ports/audio/aumix/Makefile.

Please double-check your statements instead of wasting my time, I know
what I'm doing. The distfiles are not in the regular Sourceforge
download area pointed to by MASTER_SITE_SOURCEFORGE. They are in a
directory used temporarily while the Savannah download area is down.

-- 
Jean-Yves Lefort

jylefort@brutele.be
http://lefort.be.eu.org/
Comment 3 Pav Lucistnik freebsd_committer 2004-01-29 15:49:49 UTC
>  > > diff -ruN /usr/ports/audio/streamtuner/Makefile streamtuner/Makefile
>  > > --- /usr/ports/audio/streamtuner/MakefileTue Dec 30 07:22:51 2003
>  > > +++ streamtuner/MakefileThu Jan 29 12:49:58 2004
>  > > @@ -2,16 +2,13 @@
>  > >  # Date created:02 Apr 2002
>  > >  # Whom:Jean-Yves Lefort <jylefort@brutele.be>
>  > >  #
>  > > -# $FreeBSD: ports/audio/streamtuner/Makefile,v 1.9 2003/12/29 18:23:45 pav Exp $
>  > > +# $FreeBSD$
>  > 
>  > Please, do not touch this line.
>  
>  I always do that, to indicate which version I'm patching. There's
>  nothing wrong with it.

In fact, the committer have to revert this change otherwise cvs refuses
to accept the commit. This is FreeBSD specific configuration, in case
you wonder.

Please, do not touch this line.

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

It's time for the penguin on top of your television set to explode.
Comment 4 jharris 2004-01-29 16:11:05 UTC
In gmane.os.freebsd.devel.ports.bugs, you wrote:

>  Please double-check your statements instead of wasting my time, I know
>  what I'm doing. The distfiles are not in the regular Sourceforge
>  download area pointed to by MASTER_SITE_SOURCEFORGE. They are in a
>  directory used temporarily while the Savannah download area is down.
>  
>  -- 
>  Jean-Yves Lefort


Gah!  As a Savannah user, you should be well aware of:

lftp ftp.gnu.org:/pub/savannah/files/streamtuner/streamtuner.pkg/0.10.2> dir
-rw-r--r--    1 0        65534      509772 Dec 03 17:34 streamtuner-0.10.2.tar.gz
-rw-r--r--    1 0        65534         187 Dec 03 17:35 streamtuner-0.10.2.tar.gz.asc

by now.  So, I think modifying ports/Mk/bsd.sites.mk to look like:

MASTER_SITE_SAVANNAH+= \
        http://savannah.nongnu.org/download/%SUBDIR%/ \
        ftp://ftp.gnu.org/pub/savannah/files/%SUBDIR%/${PORTNAME}.pkg/${PORTVERSION}/

is better than churning lots of individual ports.

-- 
Jason Harris          | NIC:  JH329, PGP:  This _is_ PGP-signed, isn't it?
jharris@widomaker.com | web:  http://keyserver.kjsl.com/~jharris/
Comment 5 Jean-Yves Lefort 2004-01-29 17:19:31 UTC
On Thu, 29 Jan 2004 11:11:05 -0500
Jason Harris <jharris@widomaker.com> wrote:

> In gmane.os.freebsd.devel.ports.bugs, you wrote:
> 
> >  Please double-check your statements instead of wasting my time, I know
> >  what I'm doing. The distfiles are not in the regular Sourceforge
> >  download area pointed to by MASTER_SITE_SOURCEFORGE. They are in a
> >  directory used temporarily while the Savannah download area is down.
> >  
> >  -- 
> >  Jean-Yves Lefort
> 
> Gah!  As a Savannah user, you should be well aware of:
> 
> lftp ftp.gnu.org:/pub/savannah/files/streamtuner/streamtuner.pkg/0.10.2> dir
> -rw-r--r--    1 0        65534      509772 Dec 03 17:34 streamtuner-0.10.2.tar.gz
> -rw-r--r--    1 0        65534         187 Dec 03 17:35 streamtuner-0.10.2.tar.gz.asc
> 
> by now.  So, I think modifying ports/Mk/bsd.sites.mk to look like:
> 
> MASTER_SITE_SAVANNAH+= \
>         http://savannah.nongnu.org/download/%SUBDIR%/ \
>         ftp://ftp.gnu.org/pub/savannah/files/%SUBDIR%/${PORTNAME}.pkg/${PORTVERSION}/
> 
> is better than churning lots of individual ports.

Sigh.

Please read http://savannah.nongnu.org/forum/forum.php?forum_id=2838
with more attention: "We kindly ask project administrators to verify
the integrity of those files and use the following procedure to upload
them to the new file areas on Savannah.".

This clearly means that ftp://ftp.gnu.org/pub/savannah/files is a
temporary area, used to make available the pre-compromise files to
project administrators.

Regarding http://savannah.nongnu.org/download/, it's empty unless the
project administrator decided to upload files to it.

Conclusion, you are wrong.

-- 
Jean-Yves Lefort

jylefort@brutele.be
http://lefort.be.eu.org/
Comment 6 Kirill Ponomarev freebsd_committer 2004-01-29 18:55:51 UTC
State Changed
From-To: open->closed

Committed, thanks!